=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

#Fixes the acc test
#override_dh_auto_install:
#	$(overridden_command)
#	rm $(CURDIR)/debian/tmp/usr/include/KF5/MailCommon/MetaType
#	rm $(CURDIR)/debian/tmp/usr/include/KF5/mailcommon/metatype.h

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
