=== debian/control ===
--- 
+++ 
@@ -8,26 +8,26 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 19.12.3~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5mailimporter-dev (>= 4:19.12.3~),
-               libkf5mailtransport-dev (>= 19.12.3~),
-               libkf5messagecomposer-dev (>= 4:19.12.3~),
-               libkf5messagecore-dev (>= 4:19.12.3~),
-               libkf5messageviewer-dev (>= 4:19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
-               libkf5mimetreeparser-dev (>= 4:19.12.3~),
-               libkf5pimcommon-dev (>= 4:19.12.3~),
+               libkf5ldap-dev (>= 20.08.1~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5mailimporter-dev (>= 4:20.08.1~),
+               libkf5mailtransport-dev (>= 20.08.1~),
+               libkf5messagecomposer-dev (>= 4:20.08.1~),
+               libkf5messagecore-dev (>= 4:20.08.1~),
+               libkf5messageviewer-dev (>= 4:20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
+               libkf5mimetreeparser-dev (>= 4:20.08.1~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:19.12.3~),
+               libkf5templateparser-dev (>= 4:20.08.1~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -45,16 +45,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
-         libkf5akonadimime-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
+         libkf5akonadimime-dev (>= 4:20.08.1~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:19.12.3~),
+         libkf5libkdepim-dev (>= 4:20.08.1~),
          libkf5mailcommon5abi4 (= ${binary:Version}),
-         libkf5messagecomposer-dev (>= 4:19.12.3~),
-         libkf5messagecore-dev (>= 4:19.12.3~),
-         libkf5messageviewer-dev (>= 4:19.12.3~),
-         libkf5mimetreeparser-dev (>= 4:19.12.3~),
-         libkf5pimcommon-dev (>= 4:19.12.3~),
+         libkf5messagecomposer-dev (>= 4:20.08.1~),
+         libkf5messagecore-dev (>= 4:20.08.1~),
+         libkf5messageviewer-dev (>= 4:20.08.1~),
+         libkf5mimetreeparser-dev (>= 4:20.08.1~),
+         libkf5pimcommon-dev (>= 4:20.08.1~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},
